package info.bukova.isspst.ui.munits;

import info.bukova.isspst.data.MUnit;
import info.bukova.isspst.filters.MUnitFilter;
import info.bukova.isspst.services.munits.MUnitService;
import info.bukova.isspst.ui.ListViewModel;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class MUnitsList extends ListViewModel<MUnit> {

	@WireVariable
	private MUnitService munitService;

	@Init
	public void init() {
		service = munitService;
		dataClass = MUnit.class;
		formZul = "munitsForm.zul";
		dataFilter = new MUnitFilter(getFilterTemplate());
	}
}
